import graph;
size(200,200);
real f(real x) {return 3*x^2/(x^2-1);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-5,-1.3,operator ..),red+2);
draw(graph(f,-.7,.7,operator ..),red+2);
draw(graph(f,1.3,5,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(0),4+black);
label("$(0,0)$",F(0),N);
xequals(-1,ymin=f(.7),ymax=f(1.3),dashed);
xequals(1,ymin=f(.7),ymax=f(1.3),dashed);
yequals(3,xmin=-5,xmax=5,dashed);
label("$f(x)=\frac {3x^2}{x^2-1}$",F(2),NE);
label("$x=-1$",F(-.7),SW);
label("$x=1$",F(.7),SE);
label("$y=3$",(-5,3),SE);

