import graph;
size(200,200,IgnoreAspect);
real f(real x) {return 3*x^5-10*x^3;}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2,2,operator ..),red+2);
xaxis("$x$",xmax=3,Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
dot(F(0),4+black);
label("$(0,0)$",F(0),NE);
dot(F(-sqrt(2)),4+black);
label("$(-\sqrt{2},8\sqrt{2})$",F(-sqrt(2)),N);
dot(F(sqrt(2)),4+black);
label("$(\sqrt{2},-8\sqrt{2})$",F(sqrt(2)),S);
dot(F(-1),4+black);
label("$(-1,7)$",F(-1),ENE);
dot(F(1),4+black);
label("$(1,-7)$",F(1),WSW);
xtick("$\sqrt{\frac{10}{3}}$",sqrt(10/3),NW);
xtick("$-\sqrt{\frac{10}{3}}$",-sqrt(10/3),NW);
label("$f(x)=x^5-10x^3$",F(2),NNW);

