import graph;
size(150,0);
real f(real x) {return (x^2+5)/(x^3+x);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,-.6,operator ..),red+2);
draw(graph(f,.6,4,operator ..),red+2);
dot(F(1.5),L=Label("$(x,y)$",align=NE),6+black);
dot(F(-1.5),L=Label("$(-x,-y)$",align=SW),6+black);
draw(F(-1.5)--F(1.5),blue+1+dashed,Arrows(size=8));
label("$f(x)=\frac {x^2+5}{x^3+x}$",F(1),NE);

