import localcalculus;
size(200,150,IgnoreAspect);
real low=.2, high=.8;
real f(real y) {return -(y-.5)^2+.4;}
pair F(real y) {return (f(y),y);}
real g(real y) {return -(y-.57)^3+.1;}
pair G(real y) {return (g(y),y);}
ydrawfunc(f,0.1,low,drawpen=red+dashed,fillpen=invisible);
ydrawfunc(f,high,.9,drawpen=red+dashed,fillpen=invisible);
ydrawfunc(f,low,high,drawpen=red+1,fillpen=lightgrey);
ydrawfunc(g,0.1,low,drawpen=blue+dashed,fillpen=invisible);
ydrawfunc(g,high,.9,drawpen=blue+dashed,fillpen=invisible);
ydrawfunc(g,low,high,drawpen=blue+1,fillpen=white);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
real d=.01;
label("$y=c$", (-d,low-.01),W);
label("$y=d$", (-d,high),W);
yequals(low,xmin=-.01,xmax=g(low),dashed);
yequals(high,xmin=-.01,xmax=g(high),dashed);
yequals(low,xmin=g(low),xmax=f(low));
yequals(high,xmin=g(high),xmax=f(high));
label("$A$", (.9*(f(.6)+g(.6))/2,.6),N);
label(Label("$x=f(y)$",black), F(high+.05), NE);
label(Label("$x=g(y)$",black), G(high+.05),NE);
path g=box((f(.4),.4-.025),(g(.4),.4+.025));
draw(g,black);
filldraw(g,grey);
label(Label("$dy$", fontsize(9)),G(.4),W);
label(Label("$f(y)-g(y)$", fontsize(9)),((f(.4)+g(.4))/2,.4+.025),N);
draw(((f(.4)+g(.4))/2+.064,.47)--(f(.4),.47),black,Arrow(size=5));
xequals(f(.4),ymin=.4,ymax=.53,dashed);
draw(((f(.4)+g(.4))/2-.064,.47)--(g(.4),.47),black,Arrow(size=5));
xequals(g(.4),ymin=.4,ymax=.53,dashed);
draw((f(.4)+.005,.3)..((f(.4)+g(.4))/2+.085,.4),black,Arrow(size=5));
label(Label("$dA$", fontsize(9)),(f(.4),.29),E);

