import graph;
size(200,0);
real f(real x) {return 1.5/2*x+1.5;}
pair F(real x) {return (x,f(x));}
real g(real x) {return 2-sqrt(x-1);}
pair G(real x) {return (x,g(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(1,3,4),OmitTick(0,4)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(ymax=4,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0,2),OmitTick(0,4)));
draw(graph(f,-.5,2,operator ..),red+2);
draw(graph(g,2,4,operator ..),red+2);
xequals(2,ymin=0,ymax=3.5,dashed);
yequals(f(2),xmin=0,xmax=2,dashed);
yequals(g(2),xmin=0,xmax=2,dashed);
//labely("L=",5,W);
label("$f(x)$",(-.5,1.3),N);
label("$\displaystyle\lim_{x\rightarrow2^-}f(x)=3$",(2.2,2.9),E);
label("$\displaystyle\lim_{x\rightarrow2^+}f(x)=1$",(2.2,1.2),E);
dot(F(1),4+black);
dot(F(1.5),4+black);
dot(F(1.75),4+black);
dot(F(1.9),4+black);
dot(G(2.1),4+black);
dot(G(2.25),4+black);
dot(G(2.5),4+black);
dot(G(3),4+black);
dot(F(2),4+black);
dot(F(2),3+white);
dot(G(2),4+black);
dot(G(2),3+white);
dot((2,3.7),4+black);
dot((2,3.7),3+red);
//dot((2,5),L=Label("$(2,5)$",align=NW),6+black);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
