import graph;
size(300,0);
real f(real x) {return .7*x+.6*sin(2.3*x)-.5;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(xmax=4.5,shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick()));
//yaxis("$y$",Arrow(HookHead,size=4));
//yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,5)));
yaxis(shift(0,6)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)));
// Note the -- below ensures a linear interpolation is done.
draw(graph(f,.5,3.5,operator --),red+2);
xequals(.5,ymin=0,ymax=f(.5),dashed);
xequals(3.5,ymin=0,ymax=f(3.5),dashed);
xequals(2.7,ymin=0,ymax=f(2.7),dotted+blue+2);
yequals(f(.5),xmin=0,xmax=.5,dashed);
yequals(f(3.5),xmin=0,xmax=3.5,dashed);
yequals(f(2.7),xmin=0,xmax=4,dotted+blue+2);
labely("$f(a)$",f(.5),W);
labely("$f(b)$",f(3.5),W);
labely("$M$",f(2.7),W);
labelx("$a$",.5,S);
labelx("$b$",3.5,S);
labelx("$c$",2.7,S);
//label("$f(x)$",F(7.5),NW);
//label("$\displaystyle\lim_{x\rightarrow2^-}f(x)=3$",(2.2,2.9),E);
//label("$\displaystyle\lim_{x\rightarrow2^+}f(x)=1$",(2.2,1.2),E);
dot(F(2.7),5+blue);
//dot((2,5),L=Label("$(2,5)$",align=NW),6+black);
label(Label("$(c,f(c))$",blue),F(2.7),NW);
