import graph;
size(250,0);
real f(real x) {return x^2/2+1;}
pair F(real x) {return (x,f(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(xmin=0,xmax=3,shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(3),OmitTick(3)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(ymax=4.5,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(),OmitTick()));
draw(graph(f,0.1,2.5,operator ..),red+2);
//draw(graph(f,-0.5,1.95,operator ..),red+2);
//draw(graph(f,2.05,2.5,operator ..),red+2);
xequals(2,ymin=0,ymax=f(2));
xequals(1.85,ymin=0,ymax=f(1.85),purple);
xequals(2.15,ymin=0,ymax=f(2.15),purple);
yequals(f(2),xmin=0,xmax=2);
yequals(f(1.85),xmin=0,xmax=1.85,purple);
yequals(f(2.15),xmin=0,xmax=2.15,purple);
yequals(f(2)+.5,xmin=0,xmax=2.5,blue+dashed);
yequals(f(2)-.5,xmin=0,xmax=2.5,blue+dashed);
labely("L=~~",3,W);
labely("$L+\epsilon$",3.5,W,blue);
labely("$L-\epsilon$",2.5,W,blue);
label("$y=f(x)$",F(2.5),SE);
label("$a$",(2,-.2),S);
//label("$a-\delta$",(1.85,-.2),S,purple);
//label("$a+\delta$",(2.15,-.2),S,purple);
labelx("$a-\delta$",1.7,S,purple);
labelx("$a+\delta$",2.3,S,purple);
dot((2,4),3+black);
dot((2,4),2+red);
dot((2,3),3+black);
dot((2,3),2+white);
//dot((2,6),L=Label("$(2,6)$",align=NW),6+black);
//label("$(-2,4)$",F(-2),W);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
