import graph;
size(300,200,IgnoreAspect);
real f(real x) {return sin(x);}
pair F(real x) {return (x,f(x));}
// We trick asymptote by using the minor ticks so no labels are created.
xaxis("$\theta$",Ticks(Label(fontsize(10)),new real[]{},ticks=new real[]{-6.28,-4.71,-3.14,-1.57,1.57,3.14,4.71,6.28},size=3),Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),-2,2,Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Step=1,Label(fontsize(10)),OmitFormat(0),OmitTick(-2,2)));
draw(graph(f,-7,7,operator ..),red+2);
label("$y=\sin\theta$",(3,1),NW);
label("$y=-\frac{1}{2}$",(1.5,-1/2),S);
labelx(1.57,L=Label("$\frac{\pi}{2}$",fontsize(10)),S);
labelx(3.14,L=Label("$\pi$",fontsize(10)),S);
labelx(4.71,L=Label("$\frac{3\pi}{2}$",fontsize(10)),S);
labelx(6.28,L=Label("$2\pi$",fontsize(10)),S);
labelx(-1.57,L=Label("$-\frac{\pi}{2}$",fontsize(10)),S);
labelx(-3.14,L=Label("$-\pi$",fontsize(10)),S);
labelx(-4.71,L=Label("$-\frac{3\pi}{2}$",fontsize(10)),S);
labelx(-6.28,L=Label("$-2\pi$",fontsize(10)),S);
yequals(-1/2,xmin=-7,xmax=7,blue+2);
xequals(-1*(3.14/6),ymin=-1/2,ymax=0,black+dotted);
xequals(11*(3.14/6),ymin=-1/2,ymax=0,black+dotted);
xequals(-13*(3.14/6),ymin=-1/2,ymax=0,black+dotted);
xequals(7*(3.14/6),ymin=-1/2,ymax=0,black+dotted);
xequals(-5*(3.14/6),ymin=-1/2,ymax=0,black+dotted);
dot(-3.14/6,4+black);
dot(11*(3.14/6),4+black);
dot(-13*(3.14/6),4+black);
dot(7*(3.14/6),5+blue);
dot(-5*(3.14/6),5+blue);
